.baihe_case_list {
    padding: var(--component-gap-sm) 0;
}

.baihe_case_list_nav {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 50px;
}

.baihe_case_list_nav a {
    padding: 10px 22px;
    border-radius: 50px;
    background: var(--color-primary);
    color: #fff;
    font-size: var(--text-title-size);
    font-weight: 500;
    line-height: 1.5;
    font-family: var(--font-medium-family);
}

.baihe_case_list_nav a.active,
.baihe_case_list_nav a:hover {
    background: var(--color-second);
}

.baihe_case_list_content {
    margin-top: var(--component-gap);
}

.baihe_case_list_content h3 {
    font-size: var(--title-size-h3);
    font-weight: 700;
    line-height: 1.5;
    text-align: center;
    color: var(--color-second);
}

.baihe_case_list_content_desc {
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    text-align: center;
    color: var(--text-color);
    margin-top: 10px;
}

.baihe_case_list_content_list {
    display: flex;
    flex-direction: column;
    gap: 80px;
    margin-top: var(--component-gap);
}

.baihe_case_list_content_item {
    display: flex;
    border-radius: 20px;
    overflow: hidden;
}

.baihe_case_list_content_item_pic {
    width: 50%;
    height: 100%;
    object-fit: cover;
}

.baihe_case_list_content_item_pic {
    width: 44.7%;
    aspect-ratio: 67/50;
    object-fit: cover;
}

.baihe_case_list_content_item_content {
    width: 55.3%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 40px 0 70px;
    transition: all 0.3s ease;
    background: linear-gradient(90deg, rgba(242, 177, 75, 0.15) 0%, rgba(242, 177, 75, 0.00) 100%);
}

.baihe_case_list_content_item:nth-child(odd) .baihe_case_list_content_item_pic {
    order: 1;
}

.baihe_case_list_content_item:nth-child(odd) .baihe_case_list_content_item_content {
    order: 2;
}

.baihe_case_list_content_item:nth-child(even) .baihe_case_list_content_item_pic {
    order: 2;
}

.baihe_case_list_content_item:nth-child(even) .baihe_case_list_content_item_content {
    padding: 0 70px 0 40px;
}


.baihe_case_list_content_item_content_country {
    color: var(--color-second);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
}

.baihe_case_list_content_item_content .baihe_case_list_content_item_content_title {
    font-family: var(--font-medium-family);
    color: var(--title-text-color);
    font-size: var(--title-size-h5);
    font-weight: 500;
    line-height: 1.5;
    margin-top: 3px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.baihe_case_list_content_item_content .line {
    width: 30px;
    height: 3px;
    background: var(--color-second);
    border-radius: 3px;
    margin: 10px 0 22px;
}

.baihe_case_list_content_item_content p {
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    margin-top: 10px;
    max-height: calc(var(--text-size) * 1.625 * 6);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 6;
    overflow: hidden;
}

.baihe_case_list_content_item_content .baihe_btn {
    margin-top: 27px;
}

/* .baihe_case_list_content_item:hover .baihe_case_list_content_item_content {
    background: var(--color-primary);
} */

.baihe_case_list_content_item:hover .baihe_btn {
    background: transparent;
    border: 1px solid #333;
}

.baihe_case_list_content_item:hover .baihe_btn a,
.baihe_case_list_content_item:hover .baihe_case_list_content_item_content .baihe_case_list_content_item_content_title{
    color: #333;
}

@media screen and (max-width: 1200px) {

       .baihe_case_list_nav a{
            width:320px;
            text-align:center
        }
    .baihe_case_list_content_list,
    .baihe_case_list_nav {
        gap: 30px;
    }

    .baihe_case_list_content_item_content {
        padding: 0 20px 0 40px;
    }

    .baihe_case_list_content_item:nth-child(even) .baihe_case_list_content_item_content {
        padding: 0 40px 0 20px;
    }

    .baihe_case_list_content_item_content .line {
        margin: 6px 0 12px;
    }

    .baihe_case_list_content_item_content .baihe_btn {
        margin-top: 18px;
    }

    .baihe_case_list_content_item_content p {
        max-height: calc(var(--text-size) * 1.625 * 4);
        -webkit-line-clamp: 4;
    }
}

@media screen and (max-width: 992px) {
       .baihe_case_list_nav a{
            width:300px;
            text-align:center
        }
    .baihe_case_list_nav{
        gap: 20px;
    }
    .baihe_case_list_content_item {
        flex-direction: column;
    }

    .baihe_case_list_content_item_pic {
        width: 100%;
    }

    .baihe_case_list_content_item_content {
        width: 100%;
    }

    .baihe_case_list_content_item:nth-child(even) .baihe_case_list_content_item_content {
        order: 1;
    }

    .baihe_case_list_content_item:nth-child(even) .baihe_case_list_content_item_pic {
        order: 1;
    }

    .baihe_case_list_content_item_content,
    .baihe_case_list_content_item:nth-child(even) .baihe_case_list_content_item_content {
        padding: 20px;
    }
}

@media screen and (max-width: 768px) {
    .baihe_case_list_nav{
        gap: 10px;
    }
    .baihe_case_list_nav a{
        padding: 10px 16px;
    }
}